<?php



class TblupdatelessonMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.TblupdatelessonMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(TblupdatelessonPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(TblupdatelessonPeer::TABLE_NAME);
		$tMap->setPhpName('Tblupdatelesson');
		$tMap->setClassname('Tblupdatelesson');

		$tMap->setUseIdGenerator(false);

		$tMap->addPrimaryKey('UPL_USER', 'UplUser', 'INTEGER', true, null);

		$tMap->addPrimaryKey('UPL_PRESENT', 'UplPresent', 'INTEGER', true, null);

		$tMap->addColumn('UPL_FROMCATEGORY', 'UplFromcategory', 'INTEGER', false, null);

		$tMap->addColumn('UPL_CATEGORY', 'UplCategory', 'INTEGER', true, null);

		$tMap->addColumn('UPL_LESSON', 'UplLesson', 'INTEGER', true, null);

		$tMap->addColumn('UPL_BLOG', 'UplBlog', 'INTEGER', true, null);

		$tMap->addColumn('UPL_DATE', 'UplDate', 'TIMESTAMP', false, null);

		$tMap->addColumn('UPL_DONE', 'UplDone', 'TINYINT', false, null);

	} 
} 